Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils
Class IdentityHashMap

    java.lang.Object
      java.util.AbstractMap
          java.util.HashMap
              org.apache.axis.utils.IdentityHashMap

All Implemented Interfaces:
  Cloneable, Map, Serializable

public class IdentityHashMap
extends HashMap

IdentityHashMap similar to JDK1.4's java.util.IdentityHashMap

Author:
  Davanum Srinivas
See Also:
  Serialized Form

Constructor Summary
`IdentityHashMap()` Constructor for IdentityHashMap.
`IdentityHashMap(int initialCapacity)` Constructor for IdentityHashMap.
`IdentityHashMap(int initialCapacity, float loadFactor)` Constructor for IdentityHashMap.
`IdentityHashMap(Map t)` Constructor for IdentityHashMap.

Method Summary
`Object` | `add(Object value)` adds an object to the Map.
`boolean` | `containsKey(Object key)`
`Object` | `get(Object key)`
`Object` | `put(Object key, Object value)`
`Object` | `remove(Object key)`

Methods inherited from class java.util.HashMap
`clear, clone, containsValue, entrySet, isEmpty, keySet, putAll, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### IdentityHashMap

    public IdentityHashMap(int initialCapacity,
                           float loadFactor)

  Constructor for IdentityHashMap.

Parameters:
  `initialCapacity` -
  `loadFactor` -

### IdentityHashMap

    public IdentityHashMap(int initialCapacity)

  Constructor for IdentityHashMap.

Parameters:
  `initialCapacity` -

### IdentityHashMap

    public IdentityHashMap()

  Constructor for IdentityHashMap.

### IdentityHashMap

    public IdentityHashMap(Map t)

  Constructor for IdentityHashMap.

Parameters:
  `t` -

Method Detail

### get

    public Object get(Object key)

  See Also:
    `Map.get(Object)`

### put

    public Object put(Object key,
                      Object value)

  See Also:
    `Map.put(Object, Object)`

### add

    public Object add(Object value)

  adds an object to the Map. new Identity(obj) is used as key

### remove

    public Object remove(Object key)

  See Also:
    `Map.remove(Object)`

### containsKey

    public boolean containsKey(Object key)

  See Also:
    `Map.containsKey(Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.